package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.InstallCJDetailFile;
import com.zfire.jiasm.syncdata.plus.entity.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 安装工单采集附件表 Mapper 接口
 * @author yaozx
 * @since 2023-03-02
 */
public interface FileOrderDetailMapper extends BaseMapper<OrderDetailFile> {

    List<OrderDetailFile> getId(@Param("request") InstallCJDetailFile request);
    List<OrderDetailFile> getIdRe(@Param("request") InstallCJDetailFile request);
    OrderDetailFile getIdReT(@Param("request") InstallCJDetailFile request);

    void updateFilePgguid(@Param("request") InstallCJDetailFile request);

    @SqlParser(filter = true)
    ItfTblAzWgmxJyktFjUpload getFileUpload(@Param("request") InstallCJDetailFile request);
    @SqlParser(filter = true)
    ItfTblAzWgmxSyktFjUpload getSyFileUpload(@Param("request") InstallCJDetailFile request);
    @SqlParser(filter = true)
    ItfTblAzWgmxQitaFjUpload getOtherFileUpload(@Param("request") InstallCJDetailFile request);
    @SqlParser(filter = true)
    ItfTblWxjsFjJyktUpload getItfTblWxjsFjJyktUpload(@Param("request") InstallCJDetailFile request);


    List<OrderDetailFile> getIdCj(@Param("request") InstallCJDetailFile request);
    @SqlParser(filter = true)
    ItfTblAzWgmxJyktFjUpload getFileUploadCj(@Param("request") InstallCJDetailFile request);
    @SqlParser(filter = true)
    ItfTblAzWgmxSyktFjUpload getSyFileUploadCj(@Param("request") InstallCJDetailFile request);
    @SqlParser(filter = true)
    ItfTblAzWgmxQitaFjUpload getOtherFileUploadCj(@Param("request") InstallCJDetailFile request);

    @SqlParser(filter = true)
    ItfTblAzWgmxJyktFjUpload getFileUploadCJ(@Param("request") InstallCJDetailFile request);

}
